Loading...
Searching...
No Matches
methods.hpp File Reference

Methods for computing the transformation between two frames that contain point-clouds. More...

`#include <stdlib.h>`
`#include <vector>`
`#include <opengv/types.hpp>`
`#include <opengv/point_cloud/PointCloudAdapterBase.hpp>`

Go to the source code of this file.

## Namespaces

namespace | opengv
| The namespace of this library.
namespace | opengv::point_cloud
| The namespace for the point-cloud alignment methods.

## Functions

transformation_t | opengv::point_cloud::threept_arun (const PointCloudAdapterBase &adapter)
| Compute the transformation between two frames containing point clouds, following Arun's method [13]. Using all available correspondences.
transformation_t | opengv::point_cloud::threept_arun (const PointCloudAdapterBase &adapter, const std::vector< int > &indices)
| Compute the transformation between two frames containing point clouds, following Arun's method [13].
transformation_t | opengv::point_cloud::optimize_nonlinear (PointCloudAdapterBase &adapter)
| Compute the transformation between two frames containing point clouds using nonlinear optimization. Using all available correspondences.
transformation_t | opengv::point_cloud::optimize_nonlinear (PointCloudAdapterBase &adapter, const std::vector< int > &indices)
| Compute the transformation between two frames containing point clouds. Using nonlinear optimization.

## Detailed Description

Methods for computing the transformation between two frames that contain point-clouds.